<div *ngIf="listing">
  <a [routerLink]="['/listings']">Takaisin</a>
  <br>
  <h2 class="page-header">{{listing.title}} <small>{{listing.city}}</small></h2>
  <div class="row">
    <div class="col-md-4">
      <img style="width:100%" class="thumbnail" src="{{imageUrl}}">
    </div>
    <div class="col-md-8">
      <ul class="list-group">
        <li class="list-group-item">Vahinkopäivä: {{listing.owner}}</li>
        <li class="list-group-item">Pohjoiskoordinaatti: {{listing.bedrooms}}</li>
        <li class="list-group-item">Itäkoordinaatti: {{listing.bedrooms2}}</li>
        <li class="list-group-item">Porotyyppi: {{listing.type}}</li>
        <li class="list-group-item">Kappalemäärä: {{listing.price}}</li>
      </ul>
    </div>
    <!--<a class="btn btn-default" [routerLink]="['/edit-listing/'+listing.$key]">Edit</a>-->
    <p><a (click)="onDeleteClick()" class="btn btn-danger">Poista</a></p>
  
    <agm-map [latitude]="listing.bedrooms" [longitude]="listing.bedrooms2">
      <agm-marker [latitude]="listing.bedrooms" [longitude]="listing.bedrooms2"></agm-marker>
    </agm-map>
  </div>
</div>